## Function template extract

boost::log::extract

## Synopsis

    // In header: <boost/log/attributes/value_extraction.hpp>

    template<typename T, typename TagT = void>
      result_of::extract< T, TagT >::type extract(attribute_value const & value);

## Description

The function extracts an attribute value from the view. The user has to explicitly specify the type or set of possible types of the attribute value to be extracted.

Parameters:

`value` | Attribute value.

Returns: | A `value_ref` that refers to the extracted value, if found. An empty value otherwise.